Subject: [regext] Opsdir last call review of draft-ietf-regext-rdap-object-tag-03

From: Tim Chown <[email-masked]>
Date: Sun, 15 Jul 2018 09:15:10 -0700

Reviewer: Tim Chown
Review result: Ready

Hi,

I have reviewed this document as part of the Operational directorate's ongoing
effort to review all IETF documents being processed by the IESG.  These
comments were written with the intent of improving the operational aspects of
the IETF drafts. Comments that are not addressed in last call may be included
in AD reviews during the IESG review.  Document editors and WG chairs should
treat these comments just like any other last call comments.

This draft extends RFC 7484 to describe an operational (best) practice to allow
Registration Data Access Protocol (RDAP) identifiers to be structured such that
they can convey the authoritative server to use for additional RDAP queries.

The concept of the draft is described well including examples. Two early stage
implementations (Verisign Labs and OpenRDAP) are listed in the document.

The draft is Ready for publication.

One minor nit - the RFC 2119 text should probably be in its own section rather
than within the introduction.

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Sun, 15 Jul 2018 19:48:25 +0000

> -----Original Message-----
> From: Tim Chown <[email-masked]>
> Sent: Sunday, July 15, 2018 12:15 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: [EXTERNAL] Opsdir last call review of draft-ietf-regext-rdap-
> object-tag-03
>
> Reviewer: Tim Chown
> Review result: Ready
>
> Hi,
>
> I have reviewed this document as part of the Operational directorate's
> ongoing effort to review all IETF documents being processed by the IESG.
> These comments were written with the intent of improving the operational
> aspects of the IETF drafts. Comments that are not addressed in last call
> may be included in AD reviews during the IESG review.  Document editors
> and WG chairs should treat these comments just like any other last call
> comments.
>
> This draft extends RFC 7484 to describe an operational (best) practice to
> allow Registration Data Access Protocol (RDAP) identifiers to be
> structured such that they can convey the authoritative server to use for
> additional RDAP queries.
>
> The concept of the draft is described well including examples. Two early
> stage implementations (Verisign Labs and OpenRDAP) are listed in the
> document.
>
> One minor nit - the RFC 2119 text should probably be in its own section
> rather than within the introduction.

Thanks for the review, Tim. I used RFC 8174 to guide placement of that text. This is the guidance it provides:

"Authors who follow these guidelines should incorporate this phrase near the beginning of their document"

So I just put it at the end of the introduction instead of creating an additional single-paragraph section.

Scott

---

From: Tim Chown <[email-masked]>
Date: Sun, 15 Jul 2018 20:08:46 +0000

Hi,

> On 15 Jul 2018, at 20:48, Hollenbeck, Scott <[email-masked]> wrote:
> 

That's fine, it's a very minor point.

I'm sure the RFC Editor will comment if it matters. I'm just used to seeing it in a section.

Best wishes,
Tim